[arch-commits] Commit in libcdio/repos (3 files)

Jan de Groot jgc at archlinux.org
Wed Apr 15 07:19:43 EDT 2009


    Date: Wednesday, April 15, 2009 @ 07:19:42
  Author: jgc
Revision: 35681

Merged revisions 35679 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/libcdio/trunk

........
  r35679 | jgc | 2009-04-15 11:15:42 +0000 (Wed, 15 Apr 2009) | 2 lines
  
  upgpkg: libcdio 0.81-2
      Fix endless loop when no optical devices are present (FS#14233)
........

Added:
  libcdio/repos/extra-i686/fix-loop.patch
    (from rev 35679, libcdio/trunk/fix-loop.patch)
Modified:
  libcdio/repos/extra-i686/	(properties)
  libcdio/repos/extra-i686/PKGBUILD

----------------+
 PKGBUILD       |    9 ++++++---
 fix-loop.patch |   15 +++++++++++++++
 2 files changed, 21 insertions(+), 3 deletions(-)


Property changes on: libcdio/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /libcdio/trunk:1-33089
   + /libcdio/trunk:1-35680

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-15 11:15:53 UTC (rev 35680)
+++ extra-i686/PKGBUILD	2009-04-15 11:19:42 UTC (rev 35681)
@@ -4,7 +4,7 @@
 
 pkgname=libcdio
 pkgver=0.81
-pkgrel=1
+pkgrel=2
 pkgdesc="GNU Compact Disc Input and Control Library"
 arch=("i686" "x86_64")
 license=('GPL3')
@@ -12,11 +12,14 @@
 depends=('gcc-libs>=4.3.3' 'libcddb' 'ncurses')
 options=('!libtool')
 install=libcdio.install
-source=(http://ftp.gnu.org/gnu/libcdio/${pkgname}-${pkgver}.tar.gz)
-md5sums=('2ad1622b672ccf53a3444a0c55724d38')
+source=(http://ftp.gnu.org/gnu/libcdio/${pkgname}-${pkgver}.tar.gz
+	fix-loop.patch)
+md5sums=('2ad1622b672ccf53a3444a0c55724d38'
+	 '31cb8c3bf42761c467379c97798f0320')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np1 -i "${srcdir}/fix-loop.patch" || return 1
   ./configure --prefix=/usr --disable-vcd-info --enable-cpp-progs || return 1
   make || return 1
   make -j1 DESTDIR="${pkgdir}" install || return 1

Copied: libcdio/repos/extra-i686/fix-loop.patch (from rev 35679, libcdio/trunk/fix-loop.patch)
===================================================================
--- extra-i686/fix-loop.patch	                        (rev 0)
+++ extra-i686/fix-loop.patch	2009-04-15 11:19:42 UTC (rev 35681)
@@ -0,0 +1,15 @@
+X-Git-Url: http://git.savannah.gnu.org/gitweb/?p=libcdio.git;a=blobdiff_plain;f=lib%2Fdriver%2Fgnu_linux.c;h=092af0d661ecb2c3e9435f0847017e1ff36040ba;hp=7e2f3c449de78af0004dd07ef3b243333bc3a401;hb=7c497a2c735b695cdbedc3cfb80348bad847ba00;hpb=37f248aa4685cae0187f3e100623a94320944251
+
+diff --git a/lib/driver/gnu_linux.c b/lib/driver/gnu_linux.c
+index 7e2f3c4..092af0d 100644
+--- a/lib/driver/gnu_linux.c
++++ b/lib/driver/gnu_linux.c
+@@ -1448,7 +1448,7 @@ cdio_get_default_device_linux(void)
+   /* Scan the system for CD-ROM drives.
+      Not always 100% reliable, so use the USE_MNTENT code above first.
+   */
+-  for ( i=0; checklist2[i].format; ++i ) {
++  for ( i=0; i < checklist2_size; ++i ) {
+     unsigned int j;
+     for ( j=checklist2[i].num_min; j<=checklist2[i].num_max; ++j ) {
+       if (snprintf(drive, sizeof(drive), checklist2[i].format, j) < 0)



More information about the arch-commits mailing list